summaryrefslogtreecommitdiff
path: root/coldplug
diff options
context:
space:
mode:
authorJohannes Winkelmann <jw@smts.ch>2006-02-23 15:26:10 +0000
committerJohannes Winkelmann <jw@smts.ch>2006-02-23 15:26:10 +0000
commitbdea7e6c6a535e57a07d376a3139d0788efaaa41 (patch)
tree1a7334c99fa39b1ad1a7a35c113b18cb0d92413c /coldplug
downloadopt-bdea7e6c6a535e57a07d376a3139d0788efaaa41.tar.gz
opt-bdea7e6c6a535e57a07d376a3139d0788efaaa41.tar.xz
create branch for 2.2
Diffstat (limited to 'coldplug')
-rw-r--r--coldplug/.footprint3
-rw-r--r--coldplug/.md5sum1
-rw-r--r--coldplug/Pkgfile13
-rw-r--r--coldplug/coldplug.rc32
4 files changed, 49 insertions, 0 deletions
diff --git a/coldplug/.footprint b/coldplug/.footprint
new file mode 100644
index 000000000..81247150e
--- /dev/null
+++ b/coldplug/.footprint
@@ -0,0 +1,3 @@
+drwxr-xr-x root/root etc/
+drwxr-xr-x root/root etc/rc.d/
+-rwxr-xr-x root/root etc/rc.d/coldplug
diff --git a/coldplug/.md5sum b/coldplug/.md5sum
new file mode 100644
index 000000000..a4bdfbba4
--- /dev/null
+++ b/coldplug/.md5sum
@@ -0,0 +1 @@
+42a114cb0baece178a10ad1bb73f6f08 coldplug.rc
diff --git a/coldplug/Pkgfile b/coldplug/Pkgfile
new file mode 100644
index 000000000..c329dbb34
--- /dev/null
+++ b/coldplug/Pkgfile
@@ -0,0 +1,13 @@
+# Description: Coldplugging script for boot-time hotplug functionality
+# URL http://linux-hotplug.sourceforge.net/
+# Maintainer: Matt Housh, jaeger at morpheus dot net
+# Depends on: hotplug
+
+name=coldplug
+version=2004_09_23
+release=1
+source=($name.rc)
+
+build() {
+ install -D -m 0755 $SRC/$name.rc $PKG/etc/rc.d/$name
+}
diff --git a/coldplug/coldplug.rc b/coldplug/coldplug.rc
new file mode 100644
index 000000000..3889e9966
--- /dev/null
+++ b/coldplug/coldplug.rc
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# /etc/rc.d/coldplug: load modules at boot-time for non-hotplugged devices
+#
+
+case $1 in
+start)
+ # Notify the user if hotplug support is missing from their kernel.
+ if [ ! -f /proc/sys/kernel/hotplug ]
+ then
+ echo "CONFIG_HOTPLUG (hotplug support) is missing from your kernel!"
+ exit 1
+ fi
+ # Check for hotplug package
+ if [ ! -d /etc/hotplug ]
+ then
+ echo "Coldplug requires hotplug!"
+ exit 1
+ fi
+ # Do the deed
+ for i in /etc/hotplug/*.rc
+ do
+ $i start
+ done
+ ;;
+stop)
+ ;;
+restart)
+ ;;
+*)
+ ;;
+esac

Generated by cgit